A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
getBackendId
ArrayFire Functions | ArrayFire Functions by Category » Unified API Functions

Get's the backend enum for an array More...

## Functions
AFAPI af_err | af_get_backend_id (af_backend *backend, const af_array in)
AFAPI af::Backend | getBackendId (const array &in)

## Detailed Description

Get's the backend enum for an array

This will return one of the values from the af_backend enum. The return value specifies which backend the array was created on.

## Function Documentation

## ◆ af_get_backend_id()

AFAPI af_err af_get_backend_id | ( | af_backend * | backend,
|  | const af_array | in )

Parameters

  [out] | backend | takes one of the values of enum af_backend
  [in] | in | is the array who's backend is to be queried

Returns
  af_err error code

## ◆ getBackendId()

AFAPI af::Backend getBackendId | ( | const array & | in | ) |

Parameters

  [in] | in | is the array who's backend is to be queried

Returns
  af_backend which is the backend on which the array is created